Bug 574652 - SELinux is preventing /usr/sbin/smbd "sys_chroot" access .
Summary: SELinux is preventing /usr/sbin/smbd "sys_chroot" access .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:5f999ed357a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 04:27 UTC by Gerard Barker
Modified: 2010-03-30 02:11 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.6.32-106.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:11:43 UTC
Type: ---


Attachments (Terms of Use)

Description Gerard Barker 2010-03-18 04:27:35 UTC
Summary:

SELinux is preventing /usr/sbin/smbd "sys_chroot" access .

Detailed Description:

SELinux denied access requested by smbd. It is not expected that this access is
required by smbd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:smbd_t:s0
Target Context                system_u:system_r:smbd_t:s0
Target Objects                None [ capability ]
Source                        smbd
Source Path                   smbd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           samba-3.4.7-58.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-99.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.9-70.fc12.i686.PAE
                              #1 SMP Wed Mar 3 04:57:21 UTC 2010 i686 athlon
Alert Count                   20
First Seen                    Wed 10 Mar 2010 02:50:22 NZDT
Last Seen                     Thu 18 Mar 2010 17:25:43 NZDT
Local ID                      ddb26cb9-9806-4fc7-92fd-a53efb3fc5f3
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1268886343.646:106): avc:  denied  { sys_chroot } for  pid=7951 comm="smbd" capability=18  scontext=system_u:system_r:smbd_t:s0 tcontext=system_u:system_r:smbd_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1268886343.646:106): arch=40000003 syscall=61 success=no exit=-1 a0=2c114d0 a1=0 a2=efbff4 a3=bfb1975c items=0 ppid=2964 pid=7951 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="smbd" exe="/usr/sbin/smbd" subj=system_u:system_r:smbd_t:s0 key=(null)



Hash String generated from  catchall,smbd,smbd_t,smbd_t,capability,sys_chroot
audit2allow suggests:

#============= smbd_t ==============
allow smbd_t self:capability sys_chroot;

Comment 1 Miroslav Grepl 2010-03-18 12:20:37 UTC
Are you running samba in a chrooted environment?

Comment 2 Daniel Walsh 2010-03-18 13:15:29 UTC
We should allow it since smbd has the capability to be setup to do this.

Comment 3 Miroslav Grepl 2010-03-18 13:30:00 UTC
Fixed in selinux-policy-3.6.32-104.fc12

Comment 4 Fedora Update System 2010-03-23 18:03:25 UTC
selinux-policy-3.6.32-106.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 5 Fedora Update System 2010-03-24 23:30:33 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 6 Fedora Update System 2010-03-30 02:10:06 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.